playerc_sonar_t Struct Reference
sonar

Sonar proxy data. More...

`#include <playerc.h>`

## Public Attributes

playerc_device_t | info
| Device info; must be at the start of all device structures. More...
int | pose_count
| Number of pose values. More...
player_pose3d_t * | poses
| Pose of each sonar relative to robot (m, m, radians). More...
int | scan_count
| Number of points in the scan. More...
double * | scan
| Scan data: range (m). More...

## Detailed Description

Sonar proxy data.

## Member Data Documentation

playerc_device_t playerc_sonar_t::info

Device info; must be at the start of all device structures.

int playerc_sonar_t::pose_count

Number of pose values.

player_pose3d_t* playerc_sonar_t::poses

Pose of each sonar relative to robot (m, m, radians).

This structure is filled by calling playerc_sonar_get_geom().

double* playerc_sonar_t::scan

Scan data: range (m).

int playerc_sonar_t::scan_count

Number of points in the scan.

The documentation for this struct was generated from the following file:

- playerc.h

Last updated 12 September 2005 21:38:45